package com.bocloud.ims.service.model;

import java.util.List;

/**
 * 租户配额信息
 * 
 * @author wangyu
 * @Version 1.0
 * @since 2017年7月7日
 */
public class TenantQuotaInfo {

	private List<StatsResult> cpu;// cpu信息
	private List<StatsResult> memory;// 内存信息
	private List<StatsResult> disk;// 硬盘信息
	private List<StatsResult> inst;// 实例数信息
	private List<StatsResult> fip;// 浮动IP信息

	/**
	 * 
	 */
	public TenantQuotaInfo() {
		super();
	}

	/**
	 * @param cpu
	 * @param memory
	 * @param disk
	 * @param inst
	 * @param fip
	 */
	public TenantQuotaInfo(List<StatsResult> cpu, List<StatsResult> memory, List<StatsResult> disk,
			List<StatsResult> inst, List<StatsResult> fip) {
		super();
		this.cpu = cpu;
		this.memory = memory;
		this.disk = disk;
		this.inst = inst;
		this.fip = fip;
	}

	/**
	 * @return the cpu
	 */
	public List<StatsResult> getCpu() {
		return cpu;
	}

	/**
	 * @param cpu
	 *            the cpu to set
	 */
	public void setCpu(List<StatsResult> cpu) {
		this.cpu = cpu;
	}

	/**
	 * @return the memory
	 */
	public List<StatsResult> getMemory() {
		return memory;
	}

	/**
	 * @param memory
	 *            the memory to set
	 */
	public void setMemory(List<StatsResult> memory) {
		this.memory = memory;
	}

	/**
	 * @return the disk
	 */
	public List<StatsResult> getDisk() {
		return disk;
	}

	/**
	 * @param disk
	 *            the disk to set
	 */
	public void setDisk(List<StatsResult> disk) {
		this.disk = disk;
	}

	/**
	 * @return the inst
	 */
	public List<StatsResult> getInst() {
		return inst;
	}

	/**
	 * @param inst
	 *            the inst to set
	 */
	public void setInst(List<StatsResult> inst) {
		this.inst = inst;
	}

	/**
	 * @return the fip
	 */
	public List<StatsResult> getFip() {
		return fip;
	}

	/**
	 * @param fip
	 *            the fip to set
	 */
	public void setFip(List<StatsResult> fip) {
		this.fip = fip;
	}

}
